当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 无线网卡Atheros AR5006X如何在ubuntu8.1下安装驱动程序?
帖子发表于 : 2009-04-13 20:30 

注册: 2009-04-11 21:54
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
我的无线网卡是:Atheros AR5006X,在ubuntu8.1下面看到的是AR2423 。现在可以有线上网,但无线就是上不了!
现在我装madwifi-0.9.4无线驱动程序老出错,其过程过下,请大家帮我瞧瞧那里出现问题了!(笔记本型号为:thinkpad sL400 2743AWC)
第一步:[/color]
下载madwifi-0.9.4.tar.gz
第二步:
执行指令weiquan@ubuntu:~$ tar zxvf madwifi-0.9.4.tar.gz
显示madwifi-0.9.4/
...
madwifi-0.9.4/BuildCaps.inc
第三步:
执行指令weiquan@ubuntu:~$ cd madwifi-0.9.4
weiquan@ubuntu:~/madwifi-0.9.4$ make
显示Checking requirements... ok.
Checking kernel configuration... ok.
make -C /lib/modules/2.6.27-11-generic/build SUBDIRS=/home/weiquan/madwifi-0.9.4 modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.27-11-generic'
rm: cannot remove `/home/weiquan/madwifi-0.9.4/.tmp_versions/ath_hal.mod': Permission denied
rm: cannot remove `/home/weiquan/madwifi-0.9.4/.tmp_versions/ath_pci.mod': Permission denied
rm: cannot remove `/home/weiquan/madwifi-0.9.4/.tmp_versions/ath_rate_amrr.mod': Permission denied
rm: cannot remove `/home/weiquan/madwifi-0.9.4/.tmp_versions/ath_rate_minstrel.mod': Permission denied
rm: cannot remove `/home/weiquan/madwifi-0.9.4/.tmp_versions/ath_rate_onoe.mod': Permission denied
rm: cannot remove `/home/weiquan/madwifi-0.9.4/.tmp_versions/ath_rate_sample.mod': Permission denied
make[1]: *** [crmodverdir] Error 1
make[1]: Leaving directory `/usr/src/linux-headers-2.6.27-11-generic'
make: *** [modules] 错误 2
第四步:
weiquan@ubuntu:~/madwifi-0.9.4$ make install
sh scripts/find-madwifi-modules.sh 2.6.27-11-generic
WARNING:
It seems that there are modules left from previous MadWifi installations.
If you are unistalling the MadWifi modules please press "r" to remove them.
If you are installing new MadWifi modules, you should consider removing those
already installed, or else you may experience problems during operation.
Remove old modules?

[l]ist, [r]emove, [i]gnore or e[x]it (l,r,i,[x]) ?
r
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/wlan_xauth.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/wlan_wep.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/wlan_tkip.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/wlan_scan_sta.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/wlan_scan_ap.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/wlan_ccmp.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/wlan_acl.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/wlan.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/ath_rate_sample.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/ath_rate_onoe.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/ath_rate_amrr.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/ath_pci.ko': Permission denied
rm: cannot remove `/lib/modules/2.6.27-11-generic/volatile/ath_hal.ko': Permission denied
make: *** [install-modules] 错误 1


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 无线网卡Atheros AR5006X如何在ubuntu8.1下安装驱动程序?
帖子发表于 : 2009-04-13 22:36 

注册: 2007-04-24 21:43
帖子: 165
送出感谢: 0 次
接收感谢: 0 次
“Permission denied”,这说明是你权限不够啊!
不要用0.9.4这个版本,已经确认与8.04,8.10有冲突,用更新一些的,比如SVN。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 无线网卡Atheros AR5006X如何在ubuntu8.1下安装驱动程序?
帖子发表于 : 2009-04-14 12:35 

注册: 2009-04-11 21:54
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
权限应够吧,我就设了这一个帐号啊!因为我正准备在学校用madwifi软件做无线mesh网络方面的实验,所以老师要求必须要用madwifi软件,不知SVN是什么公司的驱动啊?我不熟.请大家指教啦!先谢谢啦!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译